summaryrefslogtreecommitdiffstats
path: root/graphics/discwrapper
diff options
context:
space:
mode:
author Pablo Santamaria <pablosantamaria@gmail.com>2010-05-13 00:58:16 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:58:16 +0200
commit5baa4791896f1efee0f209d0fdae5d2af4768076 (patch)
tree3eca774e6bcbe916d858df261a8f929cfe8e707c /graphics/discwrapper
parentb9764d12902d14fef84781fa422a11ece849d937 (diff)
downloadslackbuilds-5baa4791896f1efee0f209d0fdae5d2af4768076.tar.gz
slackbuilds-5baa4791896f1efee0f209d0fdae5d2af4768076.tar.xz
graphics/discwrapper: Added to 13.0 repository
Diffstat (limited to 'graphics/discwrapper')
-rw-r--r--graphics/discwrapper/README4
-rw-r--r--graphics/discwrapper/discwrapper.SlackBuild76
-rw-r--r--graphics/discwrapper/discwrapper.info10
-rw-r--r--graphics/discwrapper/doinst.sh8
-rw-r--r--graphics/discwrapper/slack-desc19
5 files changed, 117 insertions, 0 deletions
diff --git a/graphics/discwrapper/README b/graphics/discwrapper/README
new file mode 100644
index 0000000000..7105d8629a
--- /dev/null
+++ b/graphics/discwrapper/README
@@ -0,0 +1,4 @@
+DiscWrapper is a cover designer for homemade discs. It supports
+standard CD-DVD, slim CD-DVD cases and disc designing.
+
+This requires wxGTK.
diff --git a/graphics/discwrapper/discwrapper.SlackBuild b/graphics/discwrapper/discwrapper.SlackBuild
new file mode 100644
index 0000000000..12b19b3f39
--- /dev/null
+++ b/graphics/discwrapper/discwrapper.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for discwrapper
+
+# Written by Pablo Santamaria (pablosantamaria@gmail.com)
+
+PRGNAM=discwrapper
+VERSION=${VERSION:-1.2.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/discwrapper/discwrapper.info b/graphics/discwrapper/discwrapper.info
new file mode 100644
index 0000000000..dd81037290
--- /dev/null
+++ b/graphics/discwrapper/discwrapper.info
@@ -0,0 +1,10 @@
+PRGNAM="discwrapper"
+VERSION="1.2.2"
+HOMEPAGE="http://discwrapper.sourceforge.net/index.html"
+DOWNLOAD="http://downloads.sourceforge.net/discwrapper/discwrapper-1.2.2.tar.gz"
+MD5SUM="6003fef596dcda6e6771bfdddda646fd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pablo Santamaria"
+EMAIL="pablosantamaria@gmail.com"
+APPROVED="rworkman"
diff --git a/graphics/discwrapper/doinst.sh b/graphics/discwrapper/doinst.sh
new file mode 100644
index 0000000000..e4e6459838
--- /dev/null
+++ b/graphics/discwrapper/doinst.sh
@@ -0,0 +1,8 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
diff --git a/graphics/discwrapper/slack-desc b/graphics/discwrapper/slack-desc
new file mode 100644
index 0000000000..d6c17f8035
--- /dev/null
+++ b/graphics/discwrapper/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+discwrapper: discwrapper (a cover designer for homemade discs)
+discwrapper:
+discwrapper: DiscWrapper is a cover designer for homemade discs. It supports
+discwrapper: standard CD-DVD, slim CD-DVD cases and disc designing.
+discwrapper:
+discwrapper:
+discwrapper:
+discwrapper:
+discwrapper:
+discwrapper:
+discwrapper: